Bug 1327652 - Pencil continues under a new upstream maintainer
Summary: Pencil continues under a new upstream maintainer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pencil
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Truong Anh Tuan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1284549
TreeView+ depends on / blocked
 
Reported: 2016-04-15 14:42 UTC by Mathieu Bridon
Modified: 2016-05-17 02:59 UTC (History)
2 users (show)

Fixed In Version: pencil-2.0.18-1.fc23 pencil-2.0.18-1.fc22 pencil-2.0.18-1.fc24 pencil-2.0.18-1.el7 pencil-2.0.18-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-06 19:24:22 UTC


Attachments (Terms of Use)
Update to the latest upstream release (2.85 KB, patch)
2016-04-15 14:43 UTC, Mathieu Bridon
no flags Details | Diff

Description Mathieu Bridon 2016-04-15 14:42:30 UTC
Description of problem:
The original authors of Pencil have stopped publishing updates more than 2 years ago.

Since then, it was forked, and now has a new maintainer.

Development is continuing at:

https://github.com/prikhi/pencil

They's made a few new releases, which would be nice to have in Fedora.

Among other things, they fixed bug #1284549.

Comment 1 Mathieu Bridon 2016-04-15 14:43:22 UTC
Created attachment 1147681 [details]
Update to the latest upstream release

Comment 2 Mathieu Bridon 2016-04-15 14:46:22 UTC
Can we get an update in Fedora 23, 24 and Rawhide?

I attached a patch you can apply in the Fedora dist-git.

After that just run:

 $ spectool -g pencil.spec

to get the sources, then `fedpkg new-sources`, etc...

Comment 3 Fedora Update System 2016-04-28 09:46:46 UTC
pencil-2.0.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b6e90866ec

Comment 4 Fedora Update System 2016-04-28 09:47:30 UTC
pencil-2.0.18-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6836707b00

Comment 5 Fedora Update System 2016-04-28 09:48:24 UTC
pencil-2.0.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed4511dab5

Comment 6 Mathieu Bridon 2016-04-28 12:45:47 UTC
You're welcome.

Comment 7 Fedora Update System 2016-04-28 16:24:49 UTC
pencil-2.0.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed4511dab5

Comment 8 Fedora Update System 2016-04-28 22:53:09 UTC
pencil-2.0.18-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6836707b00

Comment 9 Fedora Update System 2016-04-28 22:54:58 UTC
pencil-2.0.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b6e90866ec

Comment 10 Fedora Update System 2016-04-29 02:45:24 UTC
pencil-2.0.18-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f5fbe71da6

Comment 11 Fedora Update System 2016-04-29 12:53:58 UTC
pencil-2.0.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a76f1b56b5

Comment 12 Truong Anh Tuan 2016-04-29 13:07:18 UTC
(In reply to Mathieu Bridon from comment #6)
> You're welcome.

Please do some tests and give karmas.

Comment 13 Mathieu Bridon 2016-04-29 13:54:15 UTC
(In reply to Truong Anh Tuan from comment #12)
> (In reply to Mathieu Bridon from comment #6)
> > You're welcome.
> 
> Please do some tests and give karmas.

You know, a small « thank you for reporting the bug and taking the time to provide the patch » goes a long way towards building a decent community where people help each other.

Of course, preserving their credit for the work they did (using "git am") is even better, but just the first one would already have made me happy.

In any case, your updates aren't marked as fixing bug 1284549, even though I clearly specified that the new upstream release fixed it in the description of this bug report.

Can you add that bug to the update?

I'll give you karma once that's done.

Comment 14 Fedora Update System 2016-04-30 04:18:09 UTC
pencil-2.0.18-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f5fbe71da6

Comment 15 Fedora Update System 2016-04-30 04:23:33 UTC
pencil-2.0.18-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a76f1b56b5

Comment 16 Truong Anh Tuan 2016-05-04 07:43:35 UTC
(In reply to Mathieu Bridon from comment #13)
> 
> You know, a small « thank you for reporting the bug and taking the time to
> provide the patch » goes a long way towards building a decent community
> where people help each other.

Sorry, it's my fault.

Thank you for reporting the bug and taking the time to provide the patch

> In any case, your updates aren't marked as fixing bug 1284549, even though I
> clearly specified that the new upstream release fixed it in the description
> of this bug report.
> 
> Can you add that bug to the update?

Just done on https://bodhi.fedoraproject.org/updates/pencil-2.0.18-1.fc23

Comment 17 Fedora Update System 2016-05-06 19:24:17 UTC
pencil-2.0.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-06 19:51:16 UTC
pencil-2.0.18-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-07 11:48:27 UTC
pencil-2.0.18-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-16 19:05:15 UTC
pencil-2.0.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-17 02:59:39 UTC
pencil-2.0.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.